<?php
require 'config.php';
$align = 'center';
$title = 'Магазин';
aut();
head();
who_add(0, 'enter');

$nk = intval($_GET['nk']);
$select = @$db->sql_query ("Select * from users where id='".$nk."'");
$inf = $db->sql_fetchrow ($select);

switch($mod) {
default:

echo '<a href="shops?mod=load_gift"><b style="color:green">Добавить товар</b></a><br/>* * *<br/>';
$modr = $db->sql_fetchfield($db->sql_query("select count(*) as num from `shops` where `type`='p' and `have`='0' and `mod`='0'"),0);
if ($user[level]==9)if($modr>0)echo '<b style="color:red"><a href="admin/admin_shop?mod=moder">Ожидают модерации</a>('.$modr.')</b><br/>* * *<br/>';
echo '<b>Категории</b><br/>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `type` = 'k'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `shops` WHERE `type` = 'k' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Категорий нет<br/>';
while($a = @$db->sql_fetchrow($r)){
$k_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '".(int)$a['id']."' AND `type` = 'p' AND `have` = '0'  AND `mod` = '1'"), 0);
echo '<a href="shops?mod=view&amp;uid='.$a['id'].'&amp;nk='.$inf['id'].'">' . $a['name'] . '</a> (' . $k_gifts . ')<br/>- - -<br/>';
}
if ($k_page>1){
str('?&amp;nk='.$inf['id'].'&amp;',$k_page,$page);
}
break;



case view:
$uid = (int)$_GET['uid'];
$exists = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$uid'");

if (mysql_num_rows($exists) == false) {
echo 'Такая категория отсутствует!<br/>';
foot();
exit();
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '$uid' AND `have` = '0'  AND `mod` = '1'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("SELECT * FROM `shops` WHERE `cid` = '$uid' AND `have` = '0' AND `mod` = '1' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Пусто<br/>';
while($q = @$db->sql_fetchrow($r)){
if ($user[level]==9)echo '<hr/>[<a href="admin/admin_shop?mod=del_p&amp;x='.$q['id'].'">удалить</a>] [<a href="admin/admin_shop?mod=edit_gift&amp;x='.$q['id'].'">EDIT</a>]<br/><hr/>';
echo '<a href="shops?mod=buy&amp;p='.$q['id'].'&amp;nk='.$inf['id'].'">
<img src="resize.php?img='.$q['path'].'&amp;width=150&amp;height=0" alt="prev"/></a>
<br/><u>' . $q['name'] . '</u><br/>Загружен: ' . $q['date'] . '<br/>Загрузил: ' .nik(user_inf($q['author'], 'user')) . '
<br/>Цена: ' . $q['price'] . 'р<br/>* * *<br/>';
}
if ($k_page>1){
str('?mod=view&amp;uid='.$uid.'&amp;nk='.$inf['id'].'&amp;',$k_page,$page);
}
break;

case buy:
$p = (int)$_GET['p'];
$pr = mysql_query("SELECT * FROM `shops` WHERE `id` = '$p' AND `type` = 'p' AND `have` = '0'   AND `mod` = '1'");

if (mysql_num_rows($pr) == false) {
echo 'Такого подарка не существует!<br/>';
foot();
exit();
}

$sel = mysql_fetch_assoc($pr);

if (isset($_POST['send'])) {
$komu = check($_POST['komu']);
if (empty($komu)) $err .= '<b style="color:red">Не введен получатель!</b><br/>';

if (!user_inf($komu)) $err .= '<b style="color:red">Пользователь ' . htmlspecialchars($komu) . ' не найден!</b><br/>';

if ($user['id']==$komu) $err .= '<b style="color:red">Себе дарить подарки нельзя!</b><br/>';

if ($user['rur'] < $sel['price']) $err .= '<b style="color:red">Вам нехватает еще ' . ($sel['price'] - $user['rur']) . ' рублей для покупки!</b><br/>';

if ($_POST['anonim'] == true) $who = 0;
else $who = $id;

 if (empty($err)) {
 $today = date('d-m-Y, H:i');
 $sql_1 = "INSERT INTO `shops` SET `date` = '$today',`author` = '$who',`type` = 'p',`path` = '$sel[path]',`have` = '1',`have_user` = '$komu'";

 $sql_2 = "UPDATE `users` SET `rur` = `rur` - '".(int)$sel['price']."' WHERE `id` = '$user[id]'";

$q = (int)$sel['price'];
$w = 30; 
$e = $q / 100;
$rek = $e * $w;
$sql_3 = "UPDATE `users` SET `rur` = `rur` + '".(int)$rek."' WHERE `id` = '".(int)$sel['author']."'";


//if (user_inf($nk,'gift')==1){
$podaril = nik($who);
if ($user['sex']==1)$sex = 'сделал'; else $sex = 'сделала';
$time = time();
$msg = "Пользователь [b]".$podaril."[/b] ".$sex." Вам  [url=../shops.php?mod=user_view&amp;nk=".$komu."]подарок[/url].";
$db->sql_query ("INSERT INTO privat (user,user_id,msg,to_user,to_id,time,readin) VALUES ('$user_system','0','$msg','$user','$komu','$time','0')");
//}
//if (user_inf($nk,'gift_2')==1){
//$time = time();
//$msgs = "Поздравляем! Вам начислено 30% (".(int)$rek." руб. ) от продажи Вашего подарка!";
///$db->sql_query ("INSERT INTO privat (user,user_id,msg,to_user,to_id,time,readin) VALUES ('$user_system','0','$msgs','$user','$sel[author]','$time','0')");
//}
   if (mysql_query($sql_1) && mysql_query($sql_2) && mysql_query($sql_3)) {
echo '<b style="color:green">Подарок отправлен<br/>Пользователю</b> '.nik($komu).' !<br/><br/>';
echo gb . '<center><a href="shops">Магазин</a></center> ' . div;
echo gb . '<center><a href="enter">Прихожая</a></center> ' . div;
foot();
exit();
   } else {
   echo mysql_error();
   }
 } else {
 echo $err;
 }
}

if ($user['rur'] < $sel['price']) {
echo '<b style="color:red">Вам нехватает еще ' . ($sel['price'] - $user['rur']) . ' рублей для покупки!</b><br/>';
} else {
echo '<form method="POST" action="shops?mod=buy&amp;p='.$p.'">Кому (ID):<br/>
<input type="text" value="'.$inf['id'].'" name="komu"/>
<br/>Анонимно: <input type="checkbox" name="anonim" value="1"/><br/>
<input type="submit" name="send" value="Подарить"/>
</form>';
}
break;

case user_view:
$nk = (int)$_GET['nk'];
if (!user_inf($nk)) {
echo 'Пользователь не найден!<br/>';
foot();
exit();
}
if ($user['level']>=7){
if (isset($_GET['delete'])) {
$x = (int)$_GET['x'];
$prv = mysql_query("SELECT `id`, `path` FROM `shops` WHERE `have_user` = '$nk' AND `have` = '1' AND `id` = '$x'");

 if (mysql_num_rows($prv) == false) {
 echo 'Подарка не существует!<br/>';
 } else {
 $in_del = mysql_fetch_assoc($prv);
 if (file_exists($in_del[1])) unlink($in_del[1]);
 mysql_query("DELETE FROM `shops` WHERE `have_user` = '$nk' AND `have` = '1' AND `id` = '$x'");
 header('Location: shops?mod=user_view&nk='.$nk.'');
 }
}
}
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '$uid'  AND `have_user` = '$nk'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `shops` WHERE `have_user` = '$nk' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Подарков пока нет..<br/>';
while($a = @$db->sql_fetchrow($r)){
echo '<img src="resize.php?img='.$a['path'].'&amp;width=150&amp;height=0" alt="жми:)"/><br/>';
if ($user['level'] >= 7)echo '[<a href="shops?mod=user_view&amp;delete&amp;nk='.$nk.'&amp;x='.$a['id'].'">удалить</a>]';
if ($a['author'] == 0) $who = '<font color="#FF0000">Аноним</font>';
else $who = user_inf($a['author'], 'user');
echo '<br/>Подарок от: '.$who.'<br/>Подарен: ' . $a['date'] . '<br/>* * *<br/>';
}
if ($k_page>1){
str('shops?mod=user_view&amp;nk='.$nk.'&amp;',$k_page,$page);
}
break;

case load_gift:
echo '<b>Выберите категорию для загрузки товара</b><br/>- - -<br/>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("SELECT COUNT(*) FROM `shops` WHERE `type` = 'k'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query("SELECT * FROM `shops` WHERE `type` = 'k' ORDER BY `id` DESC LIMIT $start,$max");
if ($k_post == 0)echo 'Категорий нет<br/>';
$gifts_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
$k_gifts = mysql_result(mysql_query("SELECT COUNT(*) FROM `shops` WHERE `cid` = '".(int)$a['id']."' AND `type` = 'p' AND `have` = '0'   AND `mod` = '1'"), 0);
echo $gifts_k++.')<a href="?mod=load&amp;uid='.$a['id'].'"><b>' . $a['name'] . '</b></a> (' . $k_gifts . ')<hr/><br/>';
}
if ($k_page>1){
str('?mod=load_gift&amp;',$k_page,$page);
}
break;

case load:
$uid = (int)$_GET['uid'];
$exists = mysql_query("SELECT `id` FROM `shops` WHERE `id` = '$uid'");
$nazv = trim(mysql_real_escape_string(check($_POST['nazv'])));
$price = (int)$_POST['price'];
if (isset($_POST['load_ok'])) {
$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$par = getimagesize($_FILES['file']);
$fnames = $_FILES['file']['name'];
if (empty($nazv)) $err .= 'Вы не заполнили название!<br/>';
if (empty($price)) $err .= 'Вы не заполнили цену!<br/>';
if ($price > 1000) $err .= 'Зачем такая большая сумма?<br/>';
if (!isset($_FILES['file'])) $err .= 'Вы не выбрали файл!<br/>';
if (($par[0] > 640) or ($par[1] > 480)) $err .= 'Неправильное расширение файла!<br/>';
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")) $err .= 'Недопустимое расширение файла!<br/>';
if (!in_array($ext, $pictures)) $err .= 'Недопустимое расширение файла!<br/>';
if ($_FILES['file']['size'] > (1024 * 100)) $err .= 'Размер файла не должен превышать 100Kb!<br/>';
 if (empty($err)) {
$foto = "files/shops_img/img_".time().$ext."";
$today = date('d-m-Y, H:i');
@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0777);
mysql_query("INSERT INTO `shops` SET `name` = '$nazv',`price` = '$price',`type` = 'p',`cid` = '$uid',`author` = '$user[id]',`date` = '$today',`path` = '$foto',`have` = '0',`have_user` = '0',`mod`='0'");
echo '<b style="color:green">Товар отправлен на модерацию!</b><br/>';
echo gb.'<a href="shops">Магазин</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
exit();
 } else {
 echo $err;
 }
}
else
{
if (mysql_num_rows($exists) == false) {
echo 'Такая категория отсутствует!<br/>';
foot();
exit;
}
echo 'Максимальный размер файла 100kb. расширение 640х480px.<br/>Допустимые форматы: *gif *jpg *jpeg *png.<br/><b style="color:green">Товары содержащие рекламу<br/>будут удалены а их автора наказаны!</b><br/><b style="color:red">Все товары проходят модерацию<br/>пока админ не одобрит их никто не увидит!!!</b><br/>
<form ENCTYPE="multipart/form-data" action="shops?mod=load&amp;uid='.$uid.'" method="POST">
Изображение:<br/>
<INPUT NAME="file" TYPE="file" SIZE="20">
<br/>Название:<br/>
<input type="text" value="vipvi.ru" name="nazv" maxlength="15"/>
<br/>Цена:<br/>
<input type="text" name="price" size="4" maxlength="4"/>
<br/><input type="submit" name="load_ok" value="Загрузить"/>
</form>';
}
break;


}
echo gb . '<center><a href="shops?&amp;'.$inf['id'].'">Магазин</a></center> ' . div;
echo gb . '<center><a href="enter">Прихожая</a></center> ' . div;
foot();
?>